[arch-commits] Commit in netcdf-fortran-openmpi/repos/community-x86_64 (2 files)

Bruno Pagani archange at archlinux.org
Fri Sep 27 19:29:00 UTC 2019


    Date: Friday, September 27, 2019 @ 19:28:59
  Author: archange
Revision: 511945

archrelease: copy trunk to community-x86_64

Added:
  netcdf-fortran-openmpi/repos/community-x86_64/PKGBUILD
    (from rev 511944, netcdf-fortran-openmpi/trunk/PKGBUILD)
Deleted:
  netcdf-fortran-openmpi/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |  104 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 52 insertions(+), 52 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-09-27 19:28:41 UTC (rev 511944)
+++ PKGBUILD	2019-09-27 19:28:59 UTC (rev 511945)
@@ -1,52 +0,0 @@
-# Maintainer: Bruno Pagani <archange at archlinux.org>
-# Maintainer: Ronald van Haren <ronald.archlinux.org>
-# Contributor: damir <damir at archlinux.org>
-
-_pkg=netcdf-fortran
-_mpi=openmpi
-pkgname=${_pkg}-${_mpi}
-pkgver=4.5.1
-pkgrel=1
-pkgdesc="NetCDF fortran bindings with parallel support (${_mpi} version)"
-arch=(x86_64)
-url="https://github.com/Unidata/netcdf-fortran"
-license=(custom)
-depends=(gcc-libs netcdf-openmpi curl)
-makedepends=(gcc-fortran doxygen)
-checkdepends=(valgrind)
-provides=("${_pkg}")
-conflicts=("${_pkg}")
-options=(!makeflags staticlibs)
-source=(${url}/archive/v${pkgver}/${_pkg}-${pkgver}.tar.gz)
-sha256sums=('9ed063aaa91b209d3d2f57c44d6aa01128c28643a991b99c8bbdfbd52e1dc931')
-
-build() {
-    cd ${_pkg}-${pkgver}
-    ./configure \
-        CC=mpicc \
-        FC=mpifort \
-        --prefix=/usr \
-        --enable-extra-tests \
-        --enable-extra-example-tests \
-        --enable-large-file-tests \
-        --enable-parallel-tests \
-        --enable-valgrind-tests
-    make
-}
-
-check() {
-    cd ${_pkg}-${pkgver}
-
-    # This is required starting with OpenMPI 3.0 when trying to run more
-    # processes than the number of available cores
-    export OMPI_MCA_rmaps_base_oversubscribe=yes
-
-    # https://github.com/Unidata/netcdf-fortran/issues/109
-    make LIBS="-lnetcdf -lhdf5_hl -lhdf5 -lpnetcdf -lz -lcurl -ldl -lm" check || warning "Tests failed"
-}
-
-package() {
-    cd ${_pkg}-${pkgver}
-    make DESTDIR="${pkgdir}" install
-    install -Dm644 COPYRIGHT -t "${pkgdir}"/usr/share/licenses/${_pkg}/
-}

Copied: netcdf-fortran-openmpi/repos/community-x86_64/PKGBUILD (from rev 511944, netcdf-fortran-openmpi/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-09-27 19:28:59 UTC (rev 511945)
@@ -0,0 +1,52 @@
+# Maintainer: Bruno Pagani <archange at archlinux.org>
+# Maintainer: Ronald van Haren <ronald.archlinux.org>
+# Contributor: damir <damir at archlinux.org>
+
+_pkg=netcdf-fortran
+_mpi=openmpi
+pkgname=${_pkg}-${_mpi}
+pkgver=4.5.2
+pkgrel=1
+pkgdesc="NetCDF fortran bindings with parallel support (${_mpi} version)"
+arch=(x86_64)
+url="https://github.com/Unidata/netcdf-fortran"
+license=(custom)
+depends=(gcc-libs netcdf-openmpi curl)
+makedepends=(gcc-fortran doxygen)
+checkdepends=(valgrind)
+provides=("${_pkg}")
+conflicts=("${_pkg}")
+options=(!makeflags staticlibs)
+source=(${url}/archive/v${pkgver}/${_pkg}-${pkgver}.tar.gz)
+sha256sums=('0b05c629c70d6d224a3be28699c066bfdfeae477aea211fbf034d973a8309b49')
+
+build() {
+    cd ${_pkg}-${pkgver}
+    ./configure \
+        CC=mpicc \
+        FC=mpifort \
+        --prefix=/usr \
+        --enable-extra-tests \
+        --enable-extra-example-tests \
+        --enable-large-file-tests \
+        --enable-parallel-tests \
+        --enable-valgrind-tests
+    make
+}
+
+check() {
+    cd ${_pkg}-${pkgver}
+
+    # This is required starting with OpenMPI 3.0 when trying to run more
+    # processes than the number of available cores
+    export OMPI_MCA_rmaps_base_oversubscribe=yes
+
+    # https://github.com/Unidata/netcdf-fortran/issues/109
+    make LIBS="-lnetcdf -lhdf5_hl -lhdf5 -lpnetcdf -lz -lcurl -ldl -lm" check || warning "Tests failed"
+}
+
+package() {
+    cd ${_pkg}-${pkgver}
+    make DESTDIR="${pkgdir}" install
+    install -Dm644 COPYRIGHT -t "${pkgdir}"/usr/share/licenses/${_pkg}/
+}


More information about the arch-commits mailing list